base: 'https://blog.pmu.ac.at/'
baseVariants:
  -
    base: 'https://blog.pmu.ac.at.ddev.site/'
    condition: 'applicationContext == "Development"'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=49'
languages:
  -
    title: Deutsch
    enabled: true
    base: /
    typo3Language: de
    locale: de_AT.UTF8
    iso-639-1: de
    websiteTitle: ''
    navigationTitle: Deutsch
    hreflang: de-AT
    direction: ''
    flag: at
    languageId: 0
rootPageId: 49
routeEnhancers:
  News:
    type: Extbase
    extension: News
    plugin: Pi1
    routes:
      -
        routePath: '/{date-year}/{date-month}/{news-title}'
        _controller: 'News::list'
        _arguments:
          date-year: year
          date-month: month
          news-title: news
      -
        routePath: '/page/{page}'
        _controller: 'News::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{date-year}/{date-month}/{news-title}'
        _controller: 'News::detail'
        _arguments:
          date-year: year
          date-month: month
          news-title: news
      -
        routePath: '/{category-name}'
        _controller: 'News::list'
        _arguments:
          category-name: overwriteDemand/categories
      -
        routePath: '/{tag-name}'
        _controller: 'News::list'
        _arguments:
          tag-name: overwriteDemand/tags
    defaultController: 'News::list'
    defaults:
      page: '0'
      date-year: ''
      date-month: ''
    aspects:
      date-year:
        type: StaticRangeMapper
        start: '2000'
        end: '2038'
      date-month:
        type: StaticMonthMapper
      news-title:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      page:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      category-name:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
      tag-name:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_tag
        routeFieldName: slug
  NewsAuthorPlugin:
    type: Extbase
    extension: MdNewsAuthor
    plugin: NewsAuthor
    routes:
      -
        routePath: '{slug}'
        _controller: 'NewsAuthor::show'
        _arguments:
          slug: newsAuthor
      -
        routePath: '/a-z/{letter}'
        _controller: 'NewsAuthor::list'
        _arguments:
          letter: selectedLetter
    defaultController: 'NewsAuthor::list'
    defaults:
      letter: ''
    requirements:
      slug: '^[a-zA-Z0-9].*$'
      letter: 'Simple \d+'
    aspects:
      slug:
        type: PersistedAliasMapper
        tableName: tx_mdnewsauthor_domain_model_newsauthor
        routeFieldName: lastname
      letter:
        type: StaticValueMapper
        map:
          a: A
          b: B
          c: C
          d: D
          e: E
          f: F
          g: G
          h: H
          i: I
          j: J
          k: K
          l: L
          m: M
          'n': 'N'
          o: O
          p: P
          q: Q
          r: R
          s: S
          t: T
          u: U
          v: V
          w: W
          x: X
          'y': 'Y'
          z: Z
websiteTitle: ''
